]> git.ipfire.org Git - thirdparty/gcc.git/commitdiff
* acinclude.m4 (LIBGFOR_TARGET_ILP32): Remove test.
authorfxcoudert <fxcoudert@138bc75d-0d04-0410-961f-82ee72b054a4>
Thu, 20 Sep 2007 22:43:39 +0000 (22:43 +0000)
committerfxcoudert <fxcoudert@138bc75d-0d04-0410-961f-82ee72b054a4>
Thu, 20 Sep 2007 22:43:39 +0000 (22:43 +0000)
* configure.ac: Don't call LIBGFOR_TARGET_ILP32.
* configure: Regenerate.
* config.h.in: Regenerate.

git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@128635 138bc75d-0d04-0410-961f-82ee72b054a4

libgfortran/ChangeLog
libgfortran/acinclude.m4
libgfortran/config.h.in
libgfortran/configure
libgfortran/configure.ac

index 58943ae3ba3e6ba52e63e575d5c1252bbcb0e684..1addbb746fc4a7d85db40a05fe8a480b1898d67d 100644 (file)
@@ -1,3 +1,10 @@
+2007-09-21  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>
+
+       * acinclude.m4 (LIBGFOR_TARGET_ILP32): Remove test.
+       * configure.ac: Don't call LIBGFOR_TARGET_ILP32.
+       * configure: Regenerate.
+       * config.h.in: Regenerate.
+
 2007-09-15  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>
 
        PR libfortran/21185
index 40ce53560b326357b8069f4d9c611a0b79288f31..6cc10408d963bc2e4cee80ba75d1175598c9706d 100644 (file)
@@ -27,26 +27,6 @@ AC_DEFUN([AC_LIBTOOL_DLOPEN])
 AC_DEFUN([AC_PROG_LD])
 ])
 
-dnl Check whether the target is ILP32.
-AC_DEFUN([LIBGFOR_TARGET_ILP32], [
-  AC_CACHE_CHECK([whether the target is ILP32], target_ilp32, [
-  save_CFLAGS="$CFLAGS"
-  CFLAGS="-O2"
-  AC_TRY_LINK(,[
-if (sizeof(int) == 4 && sizeof(long) == 4 && sizeof(void *) == 4)
-  ;
-else
-  undefined_function ();
-               ],
-               target_ilp32=yes,
-               target_ilp32=no)
-  CFLAGS="$save_CFLAGS"])
-  if test $target_ilp32 = yes; then
-    AC_DEFINE(TARGET_ILP32, 1,
-      [Define to 1 if the target is ILP32.])
-  fi
-  ])
-
 dnl Check whether the target supports hidden visibility.
 AC_DEFUN([LIBGFOR_CHECK_ATTRIBUTE_VISIBILITY], [
   AC_CACHE_CHECK([whether the target supports hidden visibility],
index f805c437695b1c6df77c3e0809457edac06a3de9..ffa419cc76bbea4289ec74bfa66b02590730c166 100644 (file)
 /* Define to 1 if the target supports #pragma weak */
 #undef SUPPORTS_WEAK
 
-/* Define to 1 if the target is ILP32. */
-#undef TARGET_ILP32
-
 /* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
 #undef TIME_WITH_SYS_TIME
 
index be685a43f186937c79ac21751a8048a4ff05aa0d..21e1e416ef50e99ebff8b22d8b6aaad10c10bc56 100755 (executable)
@@ -32250,86 +32250,6 @@ echo "$as_me: FPU dependent file will be ${fpu_host}.h" >&6;}
 FPU_HOST_HEADER=config/${fpu_host}.h
 
 
-# Attempt to assert that the target is of common type in case we don't
-# have C99 integer types at all.
-
-  echo "$as_me:$LINENO: checking whether the target is ILP32" >&5
-echo $ECHO_N "checking whether the target is ILP32... $ECHO_C" >&6
-if test "${target_ilp32+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-  save_CFLAGS="$CFLAGS"
-  CFLAGS="-O2"
-  if test x$gcc_no_link = xyes; then
-  { { echo "$as_me:$LINENO: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&5
-echo "$as_me: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-int
-main ()
-{
-
-if (sizeof(int) == 4 && sizeof(long) == 4 && sizeof(void *) == 4)
-  ;
-else
-  undefined_function ();
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"
-                        || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  target_ilp32=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-target_ilp32=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-  CFLAGS="$save_CFLAGS"
-fi
-echo "$as_me:$LINENO: result: $target_ilp32" >&5
-echo "${ECHO_T}$target_ilp32" >&6
-  if test $target_ilp32 = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define TARGET_ILP32 1
-_ACEOF
-
-  fi
-
-
 # Check out attribute support.
 
   echo "$as_me:$LINENO: checking whether the target supports hidden visibility" >&5
index a4588e17a7a04aa7290a4fb2ba919cbcad723c92..78dce5519f48a48b873442baf662ffc32d652598 100644 (file)
@@ -404,10 +404,6 @@ AC_MSG_NOTICE([FPU dependent file will be ${fpu_host}.h])
 FPU_HOST_HEADER=config/${fpu_host}.h
 AC_SUBST(FPU_HOST_HEADER)
 
-# Attempt to assert that the target is of common type in case we don't
-# have C99 integer types at all.
-LIBGFOR_TARGET_ILP32
-
 # Check out attribute support.
 LIBGFOR_CHECK_ATTRIBUTE_VISIBILITY
 LIBGFOR_CHECK_ATTRIBUTE_DLLEXPORT